/*
========================================================================
 Name        : DiskDetector.h
 Author      : chenziteng@163.com
 Copyright   : Your copyright notice
 Description : 
========================================================================
*/

#ifndef DISKDETECTOR_H 
#define DISKDETECTOR_H 
 
#include <e32base.h> 
#include <f32file.h> 
 
class CDiskDetector : public CActive 
	{ 
public: 
	class MObserver 
		{ 
	public: 
		virtual void NotifyDiskChange()=0; 
		}; 
 
public: 
	static CDiskDetector* NewL(MObserver& aObserver, RFs& aFs);
	~CDiskDetector(); 
 
	void Start(); 
 
protected: // from CActive 
	void RunL(); 
	void DoCancel(); 
 
private: 
	CDiskDetector(MObserver& aObserver, RFs& aFs); 
	void ConstructL(); 
 
private: 
	MObserver& iObserver; 
	RFs& iFs; 
	}; 
 
#endif // DISKDETECTOR_H 
