// INCLUDE FILES
#include <eikstart.h>

#include "FolderPlay.hrh"
#include "FolderPlayDocument.h"
#include "FolderPlay.h"


LOCAL_C CApaApplication* NewApplication()
{
	return new CFolderPlayApplication;
}

GLDEF_C TInt E32Main()
{
	return EikStart::RunApplication(NewApplication);
}

// ============================ MEMBER FUNCTIONS ===============================

CApaDocument* CFolderPlayApplication::CreateDocumentL()
{
	// Create an FolderPlay document, and return a pointer to it
	return CFolderPlayDocument::NewL(*this);
}

TUid CFolderPlayApplication::AppDllUid() const
{
	// Return the UID for the FolderPlay application
	return KUidFolderPlayApp;
}

// End of File
